Re: rebuilding from the sources for RedHat 7.3:
%% This question is a frequent one. To save Denys the trouble here's the
%% answer he gave last time:
%%
%% Yes, this is due to a recent change in bison's output and has been
%% fixed for quite some time in the CVS. There will soon be a
%% maintenance release. So you can either grab the CVS sources (release
%% branch is mozart-1-2-0-fixes) or wait for the release.
%%
%% regards
%% Kevin
%%
My bad.
However, the CVS version isn't going anywhere fast, either.
I unzipped it to /usr/src/redhat/SOURCES/mozart, then created
/usr/src/redhat/SOURCES/mozart-linux-bld, per recommendation of the help.
Then I typed:
../mozart/configure
And I get:
configure:error: cannot run
So I open config.log, and find the error line number is 1137 in configure,
which goes like this:
#Make sure we can run config.sub
$ac_config_sub sun4 >/dev/null 2>&1 ||
{ { echo "$as_me:$LINENO: error: cannot run $ac_config_sub" >&5
echo "$as_me: error: cannot run $ac_config_sub" >&2;}
{ (exit 1); exit 1; }; }
Any ideas why this might be happening? Clearly, $ac_config_sub means nothing
to the script at runtime, as evidenced by the fact that the error message
does not concatenate any string to the end of the error message. But why?
Any pointers will be appreciated as I dig into the script and try to find
the error.
As a note, there are several "unknowns" in my config.log, the problem being
that certain utilities like "universe", "getsysinfo" and "machine" appear
not to be on my linux installation at all (I tried to "locate" them to no
avail), despite the fact that I installed about 2.8 gigs worth of stuff from
the CDs. I've already installed a bunch of things from the source, and
config.logs for all of them look similar, except they run with no problem.
The config.sub, which does exist in the same directory as configure, looks
for machine names, CPUs and all kinds of info about the target machine that
apparently it cannot find. Any ideas?
Sincerely,
Bob Calco
-
Please send submissions to hackers@mozart-oz.org
and administriva mail to hackers-request@mozart-oz.org.
The Mozart Oz web site is at http://www.mozart-oz.org/.